<?php
defined('MOODLE_INTERNAL') || die;

$functions = array(
    'mod_interactivid_get_videos_for_account' => array(
        'classname'     => 'mod_interactivid_external',
        'methodname'    => 'get_videos_for_account',
        'classpath'		=> 'mod/interactivid/externallib.php',
        'description'   => 'Returns the videos for the specified InteractiVid account.',
        'type'          => 'read',
        'ajax'			=> true,
        'capabilities'  => 'mod/interactivid:view',
        'services'      => array(MOODLE_OFFICIAL_MOBILE_SERVICE),
    ),
    'mod_interactivid_refresh_videos_for_account' => array(
        'classname'     => 'mod_interactivid_external',
        'methodname'    => 'refresh_videos_for_account',
        'description'   => 'Refreshes the list of videos for the specified InteractiVid account.',
        'classpath'		=> 'mod/interactivid/externallib.php',
        'type'          => 'read',
        'ajax'			=> true,
        'capabilities'  => 'mod/interactivid:view',
        'services'      => array(MOODLE_OFFICIAL_MOBILE_SERVICE),
    ),
    'mod_interactivid_add_api_key' => array(
        'classname'     => 'mod_interactivid_external',
        'methodname'    => 'add_api_key',
        'classpath'		=> 'mod/interactivid/externallib.php',
        'description'   => 'Add an API key to the course.',
        'type'          => 'write',
        'ajax'			=> true,
		'capabilities'  => 'mod/interactivid:addinstance',
        'services'      => array(MOODLE_OFFICIAL_MOBILE_SERVICE),
    ),
    'mod_interactivid_delete_api_key' => array(
        'classname'     => 'mod_interactivid_external',
        'methodname'    => 'delete_api_key',
        'classpath'		=> 'mod/interactivid/externallib.php',
        'description'   => 'Remove an API key from the course.',
        'type'          => 'write',
        'ajax'			=> true,
		'capabilities'  => 'mod/interactivid:addinstance',
        'services'      => array(MOODLE_OFFICIAL_MOBILE_SERVICE),
    ),
    'mod_interactivid_get_account_list' => array(
        'classname'     => 'mod_interactivid_external',
        'methodname'    => 'get_account_list',
        'classpath'		=> 'mod/interactivid/externallib.php',
        'description'   => 'Get account list.',
        'type'          => 'read',
        'ajax'			=> true,
		'capabilities'  => 'mod/interactivid:addinstance',
        'services'      => array(MOODLE_OFFICIAL_MOBILE_SERVICE),
    ),
);